package com.coherentlogic.wb.client.core.domain;

import static com.coherentlogic.wb.client.core.domain.Constants.INCOME_LEVELS_TBL;
import static com.coherentlogic.wb.client.core.domain.Constants.WB_INCOME_LEVELS;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

/**
 * 
 *
 *
 * @author <a href="mailto:support@coherentlogic.com">Support</a>
 */
@Entity
@Table(name=INCOME_LEVELS_TBL)
@XStreamAlias(WB_INCOME_LEVELS)
public class IncomeLevels extends PaginationBean {

    private static final long serialVersionUID = 7945626943212138734L;

    @XStreamImplicit
    private List<IncomeLevel> incomeLevelList;

    @OneToMany(cascade=CascadeType.ALL)
    public List<IncomeLevel> getIncomeLevelList() {
        return incomeLevelList;
    }

    public void setIncomeLevelList(List<IncomeLevel> incomeLevelList) {
        this.incomeLevelList = incomeLevelList;
    }
}
