package com.coherentlogic.wb.client.core.domain;

import static com.coherentlogic.wb.client.core.domain.Constants.PAGE;
import static com.coherentlogic.wb.client.core.domain.Constants.PAGES;
import static com.coherentlogic.wb.client.core.domain.Constants.PER_PAGE;
import static com.coherentlogic.wb.client.core.domain.Constants.TOTAL;

import com.coherentlogic.coherent.data.model.core.domain.DefaultObject;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * A bean that has pagination-related properties.
 *
 * @author <a href="mailto:support@coherentlogic.com">Support</a>
 */
public class PaginationBean extends DefaultObject
    implements PaginationSpecification {

    private static final long serialVersionUID = 4127798975578870751L;

    @XStreamAlias(PAGE)
    @XStreamAsAttribute
    private Integer page = null;

    @XStreamAlias(PAGES)
    @XStreamAsAttribute
    private Integer pages = null;

    @XStreamAlias(PER_PAGE)
    @XStreamAsAttribute
    private Integer perPage  = null;

    @XStreamAlias(TOTAL)
    @XStreamAsAttribute
    private Integer total = null;

    @Override
    public Integer getPage() {
        return page;
    }

    @Override
    public void setPage(Integer page) {
        this.page = page;
    }

    @Override
    public Integer getPages() {
        return pages;
    }

    @Override
    public void setPages(Integer pages) {
        this.pages = pages;
    }

    @Override
    public Integer getPerPage() {
        return perPage;
    }

    @Override
    public void setPerPage(Integer perPage) {
        this.perPage = perPage;
    }

    @Override
    public Integer getTotal() {
        return total;
    }

    @Override
    public void setTotal(Integer total) {
        this.total = total;
    }
}
